TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual

# TokyoTyrant::put

(PECL tokyo_tyrant >= Unknown)

TokyoTyrant::put — Puts values

### Opis

public TokyoTyrant TokyoTyrant::put ( mixed `$keys` [, string `$value` ] )

Puts a key-value pair into the database or multiple key-value pairs. If `keys` is string then the second parameter value defines the value. The second parameter is mandatory if `keys` is a string. If the key exists the value will be replaced with new value.

### Parametry

`keys`

  A string key or an array of key-value pairs

`value`

  The value in case a string key is used

### Zwracane wartości

This method returns a reference to the current object and throws TokyoTyrantException on failure.

### Przykłady

Przykład #1 TokyoTyrant::put example

`<?php
/* Connect to a database on default port */
$tt = new TokyoTyrant("localhost");
/* Put single key-value pair */
$tt->put("key", "value");
/* Put key-value pairs, new value overwrites the old */
$tt->put(array("key1" => "value1", "key" => "value2"));
/* Get back one key */
echo $tt->get("key");
?>`

Powyższy przykład wyświetli:

    value2

### Zobacz też:

- TokyoTyrant::putKeep - Puts a record
- TokyoTyrant::putCat - Concatenates to a record

TokyoTyrant::out
TokyoTyrant::putCat
TokyoTyrant
PHP Manual